Index: gcc/ada/gcc-interface/Make-lang.in
===================================================================
*** gcc/ada/gcc-interface/Make-lang.in.orig	2008-06-11 15:24:06.000000000 +0200
--- gcc/ada/gcc-interface/Make-lang.in	2008-06-11 15:48:23.000000000 +0200
*************** doc/gnat-style.pdf: ada/gnat-style.texi 
*** 494,499 ****
--- 494,515 ----
  # likewise for gnatf, gnatchop, and gnatlink, gnatkr, gnatmake, gnat,
  # gnatprep, gnatls, gnatxref, gnatfind, gnatname, gnatclean,
  # gnatsym
+ GNATBIND_INSTALL_NAME := $(shell echo gnatbind|sed '$(program_transform_name)')
+ GNATCHOP_INSTALL_NAME := $(shell echo gnatchop|sed '$(program_transform_name)')
+ GNAT_INSTALL_NAME := $(shell echo gnat|sed '$(program_transform_name)')
+ GNATKR_INSTALL_NAME := $(shell echo gnatkr|sed '$(program_transform_name)')
+ GNATLINK_INSTALL_NAME := $(shell echo gnatlink|sed '$(program_transform_name)')
+ GNATLS_INSTALL_NAME := $(shell echo gnatls|sed '$(program_transform_name)')
+ GNATMAKE_INSTALL_NAME := $(shell echo gnatmake|sed '$(program_transform_name)')
+ GNATNAME_INSTALL_NAME := $(shell echo gnatname|sed '$(program_transform_name)')
+ GNATPREP_INSTALL_NAME := $(shell echo gnatprep|sed '$(program_transform_name)')
+ GNATXREF_INSTALL_NAME := $(shell echo gnatxref|sed '$(program_transform_name)')
+ GNATFIND_INSTALL_NAME := $(shell echo gnatfind|sed '$(program_transform_name)')
+ GNATCLEAN_INSTALL_NAME := $(shell echo gnatclean|sed '$(program_transform_name)')
+ GNATSYM_INSTALL_NAME := $(shell echo gnatsym|sed '$(program_transform_name)')
+ GNATLBR_INSTALL_NAME := $(shell echo gnatlbr|sed '$(program_transform_name)')
+ GNATDLL_INSTALL_NAME := $(shell echo gnatdll|sed '$(program_transform_name)')
+ VXADDR2LINE_INSTALL_NAME := $(shell echo vxaddr2line|sed '$(program_transform_name)')
  ada.install-common:
  	$(MKDIR) $(DESTDIR)$(bindir)
  	-if [ -f gnat1$(exeext) ] ; \
*************** ada.install-common:
*** 507,514 ****
  	      $(INSTALL_PROGRAM) gnatbind-cross$(exeext) $(DESTDIR)$(tooldir)/bin/gnatbind$(exeext); \
  	    fi; \
  	  else \
! 	    $(RM) $(DESTDIR)$(bindir)/gnatbind$(exeext); \
! 	    $(INSTALL_PROGRAM) gnatbind$(exeext) $(DESTDIR)$(bindir)/gnatbind$(exeext); \
  	  fi ; \
  	fi
  	-if [ -f gnat1$(exeext) ] ; \
--- 523,530 ----
  	      $(INSTALL_PROGRAM) gnatbind-cross$(exeext) $(DESTDIR)$(tooldir)/bin/gnatbind$(exeext); \
  	    fi; \
  	  else \
! 	    $(RM) $(DESTDIR)$(bindir)/$(GNATBIND_INSTALL_NAME)$(exeext); \
! 	    $(INSTALL_PROGRAM) gnatbind$(exeext) $(DESTDIR)$(bindir)/$(GNATBIND_INSTALL_NAME)$(exeext); \
  	  fi ; \
  	fi
  	-if [ -f gnat1$(exeext) ] ; \
*************** ada.install-common:
*** 522,529 ****
  	       $(INSTALL_PROGRAM) gnatchop-cross$(exeext) $(DESTDIR)$(tooldir)/bin/gnatchop$(exeext); \
  	    fi ; \
  	  else \
! 	    $(RM) $(DESTDIR)$(bindir)/gnatchop$(exeext); \
! 	    $(INSTALL_PROGRAM) gnatchop$(exeext) $(DESTDIR)$(bindir)/gnatchop$(exeext); \
  	  fi ; \
  	fi
  	-if [ -f gnat1$(exeext) ] ; \
--- 538,545 ----
  	       $(INSTALL_PROGRAM) gnatchop-cross$(exeext) $(DESTDIR)$(tooldir)/bin/gnatchop$(exeext); \
  	    fi ; \
  	  else \
! 	    $(RM) $(DESTDIR)$(bindir)/$(GNATCHOP_INSTALL_NAME)$(exeext); \
! 	    $(INSTALL_PROGRAM) gnatchop$(exeext) $(DESTDIR)$(bindir)/$(GNATCHOP_INSTALL_NAME)$(exeext); \
  	  fi ; \
  	fi
  	-if [ -f gnat1$(exeext) ] ; \
*************** ada.install-common:
*** 537,544 ****
  	       $(INSTALL_PROGRAM) gnat-cross$(exeext) $(DESTDIR)$(tooldir)/bin/gnat$(exeext); \
  	    fi; \
  	  else \
! 	    $(RM) $(DESTDIR)$(bindir)/gnat$(exeext); \
! 	    $(INSTALL_PROGRAM) gnat$(exeext) $(DESTDIR)$(bindir)/gnat$(exeext); \
  	  fi ; \
  	fi
  	-if [ -f gnat1$(exeext) ] ; \
--- 553,560 ----
  	       $(INSTALL_PROGRAM) gnat-cross$(exeext) $(DESTDIR)$(tooldir)/bin/gnat$(exeext); \
  	    fi; \
  	  else \
! 	    $(RM) $(DESTDIR)$(bindir)/$(GNAT_INSTALL_NAME)$(exeext); \
! 	    $(INSTALL_PROGRAM) gnat$(exeext) $(DESTDIR)$(bindir)/$(GNAT_INSTALL_NAME)$(exeext); \
  	  fi ; \
  	fi
  	-if [ -f gnat1$(exeext) ] ; \
*************** ada.install-common:
*** 552,559 ****
  	       $(INSTALL_PROGRAM) gnatkr-cross$(exeext) $(DESTDIR)$(tooldir)/bin/gnatkr$(exeext); \
  	    fi; \
  	  else \
! 	    $(RM) $(DESTDIR)$(bindir)/gnatkr$(exeext); \
! 	    $(INSTALL_PROGRAM) gnatkr$(exeext) $(DESTDIR)$(bindir)/gnatkr$(exeext); \
  	  fi ; \
  	fi
  	-if [ -f gnat1$(exeext) ] ; \
--- 568,575 ----
  	       $(INSTALL_PROGRAM) gnatkr-cross$(exeext) $(DESTDIR)$(tooldir)/bin/gnatkr$(exeext); \
  	    fi; \
  	  else \
! 	    $(RM) $(DESTDIR)$(bindir)/$(GNATKR_INSTALL_NAME)$(exeext); \
! 	    $(INSTALL_PROGRAM) gnatkr$(exeext) $(DESTDIR)$(bindir)/$(GNATKR_INSTALL_NAME)$(exeext); \
  	  fi ; \
  	fi
  	-if [ -f gnat1$(exeext) ] ; \
*************** ada.install-common:
*** 567,574 ****
  	       $(INSTALL_PROGRAM) gnatlink-cross$(exeext) $(DESTDIR)$(tooldir)/bin/gnatlink$(exeext); \
  	    fi; \
  	  else \
! 	    $(RM) $(DESTDIR)$(bindir)/gnatlink$(exeext); \
! 	    $(INSTALL_PROGRAM) gnatlink$(exeext) $(DESTDIR)$(bindir)/gnatlink$(exeext); \
  	  fi ; \
  	fi
  	-if [ -f gnat1$(exeext) ] ; \
--- 583,590 ----
  	       $(INSTALL_PROGRAM) gnatlink-cross$(exeext) $(DESTDIR)$(tooldir)/bin/gnatlink$(exeext); \
  	    fi; \
  	  else \
! 	    $(RM) $(DESTDIR)$(bindir)/$(GNATLINK_INSTALL_NAME)$(exeext); \
! 	    $(INSTALL_PROGRAM) gnatlink$(exeext) $(DESTDIR)$(bindir)/$(GNATLINK_INSTALL_NAME)$(exeext); \
  	  fi ; \
  	fi
  	-if [ -f gnat1$(exeext) ] ; \
*************** ada.install-common:
*** 582,589 ****
  	       $(INSTALL_PROGRAM) gnatls-cross$(exeext) $(DESTDIR)$(tooldir)/bin/gnatls$(exeext); \
  	    fi; \
  	  else \
! 	    $(RM) $(DESTDIR)$(bindir)/gnatls$(exeext); \
! 	    $(INSTALL_PROGRAM) gnatls$(exeext) $(DESTDIR)$(bindir)/gnatls$(exeext); \
  	  fi ; \
  	fi
  	-if [ -f gnat1$(exeext) ] ; \
--- 598,605 ----
  	       $(INSTALL_PROGRAM) gnatls-cross$(exeext) $(DESTDIR)$(tooldir)/bin/gnatls$(exeext); \
  	    fi; \
  	  else \
! 	    $(RM) $(DESTDIR)$(bindir)/$(GNATLS_INSTALL_NAME)$(exeext); \
! 	    $(INSTALL_PROGRAM) gnatls$(exeext) $(DESTDIR)$(bindir)/$(GNATLS_INSTALL_NAME)$(exeext); \
  	  fi ; \
  	fi
  	-if [ -f gnat1$(exeext) ] ; \
*************** ada.install-common:
*** 597,604 ****
  	       $(INSTALL_PROGRAM) gnatmake-cross$(exeext) $(DESTDIR)$(tooldir)/bin/gnatmake$(exeext); \
  	    fi; \
  	  else \
! 	    $(RM) $(DESTDIR)$(bindir)/gnatmake$(exeext); \
! 	    $(INSTALL_PROGRAM) gnatmake$(exeext) $(DESTDIR)$(bindir)/gnatmake$(exeext); \
  	  fi ; \
  	fi
  	-if [ -f gnat1$(exeext) ] ; \
--- 613,620 ----
  	       $(INSTALL_PROGRAM) gnatmake-cross$(exeext) $(DESTDIR)$(tooldir)/bin/gnatmake$(exeext); \
  	    fi; \
  	  else \
! 	    $(RM) $(DESTDIR)$(bindir)/$(GNATMAKE_INSTALL_NAME)$(exeext); \
! 	    $(INSTALL_PROGRAM) gnatmake$(exeext) $(DESTDIR)$(bindir)/$(GNATMAKE_INSTALL_NAME)$(exeext); \
  	  fi ; \
  	fi
  	-if [ -f gnat1$(exeext) ] ; \
*************** ada.install-common:
*** 608,615 ****
  	    $(RM) $(DESTDIR)$(bindir)/$(target_noncanonical)-gnatname$(exeext); \
  	    $(INSTALL_PROGRAM) gnatname-cross$(exeext) $(DESTDIR)$(bindir)/$(target_noncanonical)-gnatname$(exeext); \
  	  else \
! 	    $(RM) $(DESTDIR)$(bindir)/gnatname$(exeext); \
! 	    $(INSTALL_PROGRAM) gnatname$(exeext) $(DESTDIR)$(bindir)/gnatname$(exeext); \
  	  fi ; \
  	fi
  	-if [ -f gnat1$(exeext) ] ; \
--- 624,631 ----
  	    $(RM) $(DESTDIR)$(bindir)/$(target_noncanonical)-gnatname$(exeext); \
  	    $(INSTALL_PROGRAM) gnatname-cross$(exeext) $(DESTDIR)$(bindir)/$(target_noncanonical)-gnatname$(exeext); \
  	  else \
! 	    $(RM) $(DESTDIR)$(bindir)/$(GNATNAME_INSTALL_NAME)$(exeext); \
! 	    $(INSTALL_PROGRAM) gnatname$(exeext) $(DESTDIR)$(bindir)/$(GNATNAME_INSTALL_NAME)$(exeext); \
  	  fi ; \
  	fi
  	-if [ -f gnat1$(exeext) ] ; \
*************** ada.install-common:
*** 623,630 ****
  	       $(INSTALL_PROGRAM) gnatprep-cross$(exeext) $(DESTDIR)$(tooldir)/bin/gnatprep$(exeext); \
  	    fi; \
  	  else \
! 	    $(RM) $(DESTDIR)$(bindir)/gnatprep$(exeext); \
! 	    $(INSTALL_PROGRAM) gnatprep$(exeext) $(DESTDIR)$(bindir)/gnatprep$(exeext); \
  	  fi ; \
  	fi
  	-if [ -f gnat1$(exeext) ] ; \
--- 639,646 ----
  	       $(INSTALL_PROGRAM) gnatprep-cross$(exeext) $(DESTDIR)$(tooldir)/bin/gnatprep$(exeext); \
  	    fi; \
  	  else \
! 	    $(RM) $(DESTDIR)$(bindir)/$(GNATPREP_INSTALL_NAME)$(exeext); \
! 	    $(INSTALL_PROGRAM) gnatprep$(exeext) $(DESTDIR)$(bindir)/$(GNATPREP_INSTALL_NAME)$(exeext); \
  	  fi ; \
  	fi
  	-if [ -f gnat1$(exeext) ] ; \
*************** ada.install-common:
*** 634,641 ****
  	    $(RM) $(DESTDIR)$(bindir)/$(target_noncanonical)-gnatxref$(exeext); \
  	    $(INSTALL_PROGRAM) gnatxref-cross$(exeext) $(DESTDIR)$(bindir)/$(target_noncanonical)-gnatxref$(exeext); \
  	  else \
! 	    $(RM) $(DESTDIR)$(bindir)/gnatxref$(exeext); \
! 	    $(INSTALL_PROGRAM) gnatxref$(exeext) $(DESTDIR)$(bindir)/gnatxref$(exeext); \
  	  fi ; \
  	fi
  	-if [ -f gnat1$(exeext) ] ; \
--- 650,657 ----
  	    $(RM) $(DESTDIR)$(bindir)/$(target_noncanonical)-gnatxref$(exeext); \
  	    $(INSTALL_PROGRAM) gnatxref-cross$(exeext) $(DESTDIR)$(bindir)/$(target_noncanonical)-gnatxref$(exeext); \
  	  else \
! 	    $(RM) $(DESTDIR)$(bindir)/$(GNATXREF_INSTALL_NAME)$(exeext); \
! 	    $(INSTALL_PROGRAM) gnatxref$(exeext) $(DESTDIR)$(bindir)/$(GNATXREF_INSTALL_NAME)$(exeext); \
  	  fi ; \
  	fi
  	-if [ -f gnat1$(exeext) ] ; \
*************** ada.install-common:
*** 645,652 ****
  	    $(RM) $(DESTDIR)$(bindir)/$(target_noncanonical)-gnatfind$(exeext); \
  	    $(INSTALL_PROGRAM) gnatfind-cross$(exeext) $(DESTDIR)$(bindir)/$(target_noncanonical)-gnatfind$(exeext); \
  	  else \
! 	    $(RM) $(DESTDIR)$(bindir)/gnatfind$(exeext); \
! 	    $(INSTALL_PROGRAM) gnatfind$(exeext) $(DESTDIR)$(bindir)/gnatfind$(exeext); \
  	  fi ; \
  	fi
  	-if [ -f gnat1$(exeext) ] ; \
--- 661,668 ----
  	    $(RM) $(DESTDIR)$(bindir)/$(target_noncanonical)-gnatfind$(exeext); \
  	    $(INSTALL_PROGRAM) gnatfind-cross$(exeext) $(DESTDIR)$(bindir)/$(target_noncanonical)-gnatfind$(exeext); \
  	  else \
! 	    $(RM) $(DESTDIR)$(bindir)/$(GNATFIND_INSTALL_NAME)$(exeext); \
! 	    $(INSTALL_PROGRAM) gnatfind$(exeext) $(DESTDIR)$(bindir)/$(GNATFIND_INSTALL_NAME)$(exeext); \
  	  fi ; \
  	fi
  	-if [ -f gnat1$(exeext) ] ; \
*************** ada.install-common:
*** 656,663 ****
  	    $(RM) $(DESTDIR)$(bindir)/$(target_noncanonical)-gnatclean$(exeext); \
  	    $(INSTALL_PROGRAM) gnatclean-cross$(exeext) $(DESTDIR)$(bindir)/$(target_noncanonical)-gnatclean$(exeext); \
  	  else \
! 	    $(RM) $(DESTDIR)$(bindir)/gnatclean$(exeext); \
! 	    $(INSTALL_PROGRAM) gnatclean$(exeext) $(DESTDIR)$(bindir)/gnatclean$(exeext); \
  	  fi ; \
  	fi
  #
--- 672,679 ----
  	    $(RM) $(DESTDIR)$(bindir)/$(target_noncanonical)-gnatclean$(exeext); \
  	    $(INSTALL_PROGRAM) gnatclean-cross$(exeext) $(DESTDIR)$(bindir)/$(target_noncanonical)-gnatclean$(exeext); \
  	  else \
! 	    $(RM) $(DESTDIR)$(bindir)/$(GNATCLEAN_INSTALL_NAME)$(exeext); \
! 	    $(INSTALL_PROGRAM) gnatclean$(exeext) $(DESTDIR)$(bindir)/$(GNATCLEAN_INSTALL_NAME)$(exeext); \
  	  fi ; \
  	fi
  #
*************** ada.install-common:
*** 667,674 ****
  	then \
  	  if [ -f gnatsym$(exeext) ] ; \
  	  then \
! 	    $(RM) $(DESTDIR)$(bindir)/gnatsym$(exeext); \
! 	    $(INSTALL_PROGRAM) gnatsym$(exeext) $(DESTDIR)$(bindir)/gnatsym$(exeext); \
  	  fi ; \
  	fi
  #
--- 683,690 ----
  	then \
  	  if [ -f gnatsym$(exeext) ] ; \
  	  then \
! 	    $(RM) $(DESTDIR)$(bindir)/$(GNATSYM_INSTALL_NAME)$(exeext); \
! 	    $(INSTALL_PROGRAM) gnatsym$(exeext) $(DESTDIR)$(bindir)/$(GNATSYM_INSTALL_NAME)$(exeext); \
  	  fi ; \
  	fi
  #
*************** ada.install-common:
*** 678,685 ****
  	then \
  	  if [ -f gnatlbr$(exeext) ] ; \
  	  then \
! 	    $(RM) $(DESTDIR)$(bindir)/gnatlbr$(exeext); \
! 	    $(INSTALL_PROGRAM) gnatlbr$(exeext) $(DESTDIR)$(bindir)/gnatlbr$(exeext); \
  	  fi ; \
  	fi
  #
--- 694,701 ----
  	then \
  	  if [ -f gnatlbr$(exeext) ] ; \
  	  then \
! 	    $(RM) $(DESTDIR)$(bindir)/$(GNATLBR_INSTALL_NAME)$(exeext); \
! 	    $(INSTALL_PROGRAM) gnatlbr$(exeext) $(DESTDIR)$(bindir)/$(GNATLBR_INSTALL_NAME)$(exeext); \
  	  fi ; \
  	fi
  #
*************** ada.install-common:
*** 687,694 ****
  #
  	-if [ -f gnat1$(exeext) ] ; \
  	then \
! 	    $(RM) $(DESTDIR)$(bindir)/gnatdll$(exeext); \
! 	    $(INSTALL_PROGRAM) gnatdll$(exeext) $(DESTDIR)$(bindir)/gnatdll$(exeext); \
  	fi
  #
  # vxaddr2line is only used for cross ports (it calls the underlying cross
--- 703,710 ----
  #
  	-if [ -f gnat1$(exeext) ] ; \
  	then \
! 	    $(RM) $(DESTDIR)$(bindir)/$(GNATDLL_INSTALL_NAME)$(exeext); \
! 	    $(INSTALL_PROGRAM) gnatdll$(exeext) $(DESTDIR)$(bindir)/$(GNATDLL_INSTALL_NAME)$(exeext); \
  	fi
  #
  # vxaddr2line is only used for cross ports (it calls the underlying cross
*************** ada.install-common:
*** 698,705 ****
  	then \
  	  if [ -f vxaddr2line$(exeext) ] ; \
  	  then \
! 	    $(RM) $(DESTDIR)$(bindir)/vxaddr2line$(exeext); \
! 	    $(INSTALL_PROGRAM) vxaddr2line$(exeext) $(DESTDIR)$(bindir)/vxaddr2line$(exeext); \
  	  fi ; \
  	fi
  
--- 714,721 ----
  	then \
  	  if [ -f vxaddr2line$(exeext) ] ; \
  	  then \
! 	    $(RM) $(DESTDIR)$(bindir)/$(VXADDR2LINE_INSTALL_NAME)$(exeext); \
! 	    $(INSTALL_PROGRAM) vxaddr2line$(exeext) $(DESTDIR)$(bindir)/$(VXADDR2LINE_INSTALL_NAME)$(exeext); \
  	  fi ; \
  	fi
  
*************** ada.uninstall:
*** 765,772 ****
  	-$(RM) $(DESTDIR)$(tooldir)/bin/gnatxref$(exeext)
  	-$(RM) $(DESTDIR)$(tooldir)/bin/gnatclean$(exeext)
  	-$(RM) $(DESTDIR)$(tooldir)/bin/gnatsym$(exeext)
- # Gnatlbr and Gnatchop are only used on VMS
- 	-$(RM) $(DESTDIR)$(bindir)/gnatlbr$(exeext) $(DESTDIR)$(bindir)/gnatchop$(exeext)
  
  # Clean hooks:
  # A lot of the ancillary files are deleted by the main makefile.
--- 781,786 ----
